From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1392252-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (2048 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 4E075158090
	for <garchives@archives.gentoo.org>; Tue,  3 May 2022 18:41:13 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 8062EE0101;
	Tue,  3 May 2022 18:41:12 +0000 (UTC)
Received: from smtp.gentoo.org (woodpecker.gentoo.org [140.211.166.183])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id D5844E069C
	for <gentoo-commits@lists.gentoo.org>; Tue,  3 May 2022 18:41:11 +0000 (UTC)
Received: from oystercatcher.gentoo.org (unknown [IPv6:2a01:4f8:202:4333:225:90ff:fed9:fc84])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id B441634161C
	for <gentoo-commits@lists.gentoo.org>; Tue,  3 May 2022 18:41:10 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id 224E12E1
	for <gentoo-commits@lists.gentoo.org>; Tue,  3 May 2022 18:41:09 +0000 (UTC)
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Sam James" <sam@gentoo.org>
Message-ID: <1651603190.569515aaae02628db02e1ba7b81ada12ea2f6cd5.sam@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/scdoc/
X-VCS-Repository: repo/gentoo
X-VCS-Files: app-text/scdoc/scdoc-1.11.2-r1.ebuild
X-VCS-Directories: app-text/scdoc/
X-VCS-Committer: sam
X-VCS-Committer-Name: Sam James
X-VCS-Revision: 569515aaae02628db02e1ba7b81ada12ea2f6cd5
X-VCS-Branch: master
Date: Tue,  3 May 2022 18:41:09 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: ee5d3460-c2dc-4618-9788-1986393f45e4
X-Archives-Hash: 1126303d72c2f35071ea5d1f728c5d60

commit:     569515aaae02628db02e1ba7b81ada12ea2f6cd5
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Tue May  3 17:20:54 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue May  3 18:39:50 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=569515aa

app-text/scdoc: fix incorrect prefix in pc file

* Removal of PREFIX in make all breaks sed'ing @prefix@ leading to
  default value of /usr/local to be used leading to breakage in packages
  that depend on the value being correct to find the scdoc binary.

Closes: https://bugs.gentoo.org/842282
Closes: https://bugs.gentoo.org/842285
Closes: https://bugs.gentoo.org/842288
Closes: https://bugs.gentoo.org/842399
Closes: https://bugs.gentoo.org/842465
Closes: https://bugs.gentoo.org/842402
Closes: https://bugs.gentoo.org/842279
Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Closes: https://github.com/gentoo/gentoo/pull/25301
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-text/scdoc/scdoc-1.11.2-r1.ebuild | 45 +++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

diff --git a/app-text/scdoc/scdoc-1.11.2-r1.ebuild b/app-text/scdoc/scdoc-1.11.2-r1.ebuild
new file mode 100644
index 000000000000..c40dcd50d0fa
--- /dev/null
+++ b/app-text/scdoc/scdoc-1.11.2-r1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Standalone tool for generating man pages with a simple syntax"
+HOMEPAGE="https://git.sr.ht/~sircmpwn/scdoc"
+
+if [[ ${PV} == 9999 ]]; then
+	EGIT_REPO_URI="https://git.sr.ht/~sircmpwn/scdoc"
+	inherit git-r3
+else
+	SRC_URI="https://git.sr.ht/~sircmpwn/scdoc/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+
+src_prepare() {
+	default
+
+	sed -e 's/-Werror//' \
+		-i Makefile || die 'Failed to patch Makefile'
+}
+
+src_compile() {
+	local MY_HS="./scdoc"
+	if tc-is-cross-compiler; then
+		tc-export_build_env
+		MY_HS="./hostscdoc"
+		emake scdoc HOST_SCDOC="./hostscdoc" OUTDIR="${S}/.build.host" CC="$(tc-getBUILD_CC)" \
+			CFLAGS="${BUILD_CFLAGS} -DVERSION='\"${PV}\"'" LDFLAGS="${BUILD_LDFLAGS}"
+		mv scdoc hostscdoc || die 'Failed to rename host scdoc'
+	fi
+
+	emake CC="$(tc-getCC)" LDFLAGS="${LDFLAGS}" PREFIX="${EPREFIX}/usr" HOST_SCDOC="${MY_HS}"
+}
+
+src_install() {
+	emake DESTDIR="${ED}" PREFIX="${EPREFIX}/usr" HOST_SCDOC="${MY_HS}" \
+		PCDIR="/usr/$(get_libdir)/pkgconfig" install
+}